GNU bug report logs - #56111
[PATCH] gnu: playerctl: update to 2.4.1.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jose G Perez Taveras <josegpt27@HIDDEN>; Keywords: patch; dated Mon, 20 Jun 2022 17:12:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 56111 <at> debbugs.gnu.org:


Received: (at 56111) by debbugs.gnu.org; 28 Jun 2022 13:19:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 09:19:58 2022
Received: from localhost ([127.0.0.1]:54282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6B8I-00063T-EK
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:19:58 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:40743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josegpt27@HIDDEN>) id 1o6B8F-000638-8g
 for 56111 <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:19:56 -0400
Received: by mail-qv1-f53.google.com with SMTP id cu16so19872104qvb.7
 for <56111 <at> debbugs.gnu.org>; Tue, 28 Jun 2022 06:19:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=IfBepAwipgdxdVwfo2rouhapsqTDKo2hpqAqmnlqUQY=;
 b=asl1qxxMEbkxaZKCBFx6poa3ArKIWqOV+1B2z/bkBPhsMcjJuLCoN+FX9mHdKEwFHA
 kQ15b8EoqN3IgqGKhU3mvjJm3v2EJvu8uAIxSlG5l2qxjKlOoORI/4yGksOLm5qT8VGM
 lEJVcC2rV//je2J30zgwD/yuXOyMtz9y19ovUnLWNC1hIyOHVdeFGSoCyZBkWqzc1VqD
 aqwPZuUYaY8wbdHmKfFAnb8CfO70cEE4IqdOOlMAVp7DX3+T4jEv2kErnTmiphtCeEzY
 BAkruhDLQ1NSjdmuz6VZFmqJ10I2579GJaRmn/RwgezZm/V24XunGCPcFLKsc5M7jcG9
 a4AA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=IfBepAwipgdxdVwfo2rouhapsqTDKo2hpqAqmnlqUQY=;
 b=vS/AwrqyQ256vlp0pTX2wJiipESaIqRhgwGWUY8bmQhfB4fVH9gnMCvJje3IuPYqjQ
 4Oj+ajfdia7j/ZAe3vLXoh8I5rNoWczwjbE1cb2FM8Lr9UtgPBqsd/n05y3RbWjU1nk7
 fT0SgH/vmEbTyWpipqYOaV5Z83/ftLiC6xiQnqpCd2ViC2Uu14V+51Qvp5yqc0OnCHCO
 JB/eOtNPmrZpFm27dSLGj8lt4PYYAx1wgYiVdQXQp3tdgcN2OXTHeYudYz2Q8E6hiS9I
 /c4pfoDtxaBc4UZcNWS7Cfi6p7J8CjFNB49+XdHYQ2NC8F8I5LrPcwxzkr2Smp/KLoUv
 dtwA==
X-Gm-Message-State: AJIora+Ak5kehiDFduJvsE736sNzjreroh2ROMCMXahZ23jWVkJWJ208
 t88GgYNQbo3ICsNRGrlBUP4=
X-Google-Smtp-Source: AGRyM1stz3yjpeK8u3QL469jLBzHkqyTAIr1tkJgqU9JiR97ZZcmkS/LZ6iRqmNcaIQAC0DvqhP9DA==
X-Received: by 2002:ac8:7d49:0:b0:304:e4ce:3345 with SMTP id
 h9-20020ac87d49000000b00304e4ce3345mr13002468qtb.508.1656422389583; 
 Tue, 28 Jun 2022 06:19:49 -0700 (PDT)
Received: from lizard-priest (pool-72-76-213-26.nwrknj.fios.verizon.net.
 [72.76.213.26]) by smtp.gmail.com with ESMTPSA id
 j12-20020ac874cc000000b00304e29c9a6asm8603887qtr.91.2022.06.28.06.19.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Jun 2022 06:19:49 -0700 (PDT)
From: Jose G Perez Taveras <josegpt27@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#56111] [PATCH] gnu: playerctl: update to 2.4.1.
In-Reply-To: <87h74ep06p.fsf@HIDDEN>
References: <20220620170517.18322-1-josegpt27@HIDDEN>
 <87v8su1cd4.fsf@HIDDEN> <87h74ep06p.fsf@HIDDEN>
Date: Tue, 28 Jun 2022 09:19:41 -0400
Message-ID: <878rphsz6a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 56111
Cc: 56111 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Hello,

I would like to know if there are any updates in regards to this patch?

--=20
Best,

josegpt

Jose G Perez Taveras <josegpt27@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> [[PGP Signed Part:Undecided]]
>>
>> Jose G Perez Taveras <josegpt27@HIDDEN> writes:
>>
>>> Hello,
>>>
>>> Here is an update to playerctl to 2.4.1 and fixed dependencies.
>>> It uses `dbus-launch' to start a new daemon.
>>>
>>> This is my first time sending a patch, I would be very happy if you
>>> could point me out to anything I should know.
>>
>> Hi Jose,
>>
>> Thanks for the patch.
>>
>>> +    (propagated-inputs (list dbus))
>>
>> The addition of dbus as a propagated input was the only thing that stood
>> out to me.
>>
>> If playerctl does call out to dbus-launch, then patching the source to
>> refer to the specific /gnu/store/...-dbus/.../dbus-launch binary would
>> be the nicest approach, since that would avoid propagating dbus.
>>
>> Is it necessary to propagate the dbus package, and if so, what doesn't
>> work if you don't?
>>
>> Thanks,
>>
>> Chris
>>
>> [[End of PGP Signed Part]]
>
> Hello Christopher,
>
> I kept on testing the patch. As you mentioned, propagating dbus is not
> necessary for the package to work correctly.
>
> Thank you for the feedback.
>
> Best,
> josegpt
>
> Here's an updated version of the patch.
>
> ---
>  gnu/packages/music.scm | 11 ++++++-----
>  1 file changed, 6 insertions(+), 5 deletions(-)
>
> diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
> index 60cb176320..2d0d582e6c 100644
> --- a/gnu/packages/music.scm
> +++ b/gnu/packages/music.scm
> @@ -48,6 +48,7 @@
>  ;;; Copyright =C2=A9 2022 Remco van 't Veer <remco@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
> +;;; Copyright =C2=A9 2022 Jose G Perez Taveras <josegpt27@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -5562,7 +5563,7 @@ (define-public pragha
>  (define-public playerctl
>    (package
>      (name "playerctl")
> -    (version "2.2.1")
> +    (version "2.4.1")
>      (source (origin
>                (method git-fetch)
>                (uri (git-reference
> @@ -5571,14 +5572,14 @@ (define-public playerctl
>                (file-name (git-file-name name version))
>                (sha256
>                 (base32
> -                "17hi33sw3663qz5v54bqqil31sgkrlxkb2l5bgqk87pac6x2wnbz"))=
))
> +                "0ij065blj3h5v6iivvpmgh1095vicj1nc7hp1nhlhpqagd98l89s"))=
))
>      (build-system meson-build-system)
>      (arguments
> -     `(#:configure-flags '("-Dintrospection=3Dfalse" "-Dgtk-doc=3Dfalse"=
)))
> -    (inputs (list python-pygobject))
> +     `(#:configure-flags '("-Dgtk-doc=3Dfalse")))
>      (native-inputs
>       `(("glib:bin" ,glib "bin")
> -       ("pkg-config" ,pkg-config)))
> +       ("pkg-config" ,pkg-config)
> +       ("gobject-introspection" ,gobject-introspection)))
>      (synopsis "Control MPRIS-supporting media player applications")
>      (description
>       "Playerctl is a command-line utility and library for controlling me=
dia
>
> base-commit: d13ffd1580ec2253b6e05fb6300c3629aee893e3
> --=20
> 2.36.1




Information forwarded to guix-patches@HIDDEN:
bug#56111; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2022 13:19:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 09:19:58 2022
Received: from localhost ([127.0.0.1]:54280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6B8I-00063R-3L
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:19:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:58034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josegpt27@HIDDEN>) id 1o6B8E-00063D-Iv
 for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:19:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47192)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <josegpt27@HIDDEN>)
 id 1o6B8C-0002OA-TW
 for guix-patches@HIDDEN; Tue, 28 Jun 2022 09:19:54 -0400
Received: from mail-qv1-xf2c.google.com ([2607:f8b0:4864:20::f2c]:36660)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <josegpt27@HIDDEN>)
 id 1o6B8B-0001Kg-8c
 for guix-patches@HIDDEN; Tue, 28 Jun 2022 09:19:52 -0400
Received: by mail-qv1-xf2c.google.com with SMTP id 59so19892732qvb.3
 for <guix-patches@HIDDEN>; Tue, 28 Jun 2022 06:19:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=IfBepAwipgdxdVwfo2rouhapsqTDKo2hpqAqmnlqUQY=;
 b=asl1qxxMEbkxaZKCBFx6poa3ArKIWqOV+1B2z/bkBPhsMcjJuLCoN+FX9mHdKEwFHA
 kQ15b8EoqN3IgqGKhU3mvjJm3v2EJvu8uAIxSlG5l2qxjKlOoORI/4yGksOLm5qT8VGM
 lEJVcC2rV//je2J30zgwD/yuXOyMtz9y19ovUnLWNC1hIyOHVdeFGSoCyZBkWqzc1VqD
 aqwPZuUYaY8wbdHmKfFAnb8CfO70cEE4IqdOOlMAVp7DX3+T4jEv2kErnTmiphtCeEzY
 BAkruhDLQ1NSjdmuz6VZFmqJ10I2579GJaRmn/RwgezZm/V24XunGCPcFLKsc5M7jcG9
 a4AA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=IfBepAwipgdxdVwfo2rouhapsqTDKo2hpqAqmnlqUQY=;
 b=E9E/DcquVfGpQYLwxjBPVOvSzdVHKFP/g/gpEz+zZVJExQ5Za4u/Mdzy99yIb09zN4
 76W57dHbGpMLHOeh4k7rjTXz2GAqQbQP2KR8RNA7DOsDgPchdhCLc32Ov+16Z5z+gWOD
 ue35qp+0NDBCRCSe4XnB0UV8H5jn0gHF6wxRgTFSYDOTjG5ylStvcU/s1cGAqr1e3LXc
 w8mshy2CeC5wUIbIBSiaDGCBv6PM9WjBYDOGvwPNh9dEHl70oAjrK6Mo/wh+yyT0PldT
 dntOswIpFY/miToobzCUCtE8+kWoD1p9o8rGTji2/fWKA6VRqznVTad2881RmuH0dS0P
 qZ0A==
X-Gm-Message-State: AJIora/3uAn4pfzRF0S46AmZNOraySmSv8FrNdoeWJl3+QsHY168I+7r
 gkimCnMRoD34wc1S/hk3Q9kwsIRBeDyqrC+o
X-Google-Smtp-Source: AGRyM1stz3yjpeK8u3QL469jLBzHkqyTAIr1tkJgqU9JiR97ZZcmkS/LZ6iRqmNcaIQAC0DvqhP9DA==
X-Received: by 2002:ac8:7d49:0:b0:304:e4ce:3345 with SMTP id
 h9-20020ac87d49000000b00304e4ce3345mr13002468qtb.508.1656422389583; 
 Tue, 28 Jun 2022 06:19:49 -0700 (PDT)
Received: from lizard-priest (pool-72-76-213-26.nwrknj.fios.verizon.net.
 [72.76.213.26]) by smtp.gmail.com with ESMTPSA id
 j12-20020ac874cc000000b00304e29c9a6asm8603887qtr.91.2022.06.28.06.19.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Jun 2022 06:19:49 -0700 (PDT)
From: Jose G Perez Taveras <josegpt27@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#56111] [PATCH] gnu: playerctl: update to 2.4.1.
In-Reply-To: <87h74ep06p.fsf@HIDDEN>
References: <20220620170517.18322-1-josegpt27@HIDDEN>
 <87v8su1cd4.fsf@HIDDEN> <87h74ep06p.fsf@HIDDEN>
Date: Tue, 28 Jun 2022 09:19:41 -0400
Message-ID: <878rphsz6a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::f2c;
 envelope-from=josegpt27@HIDDEN; helo=mail-qv1-xf2c.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
Cc: 56111 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Hello,

I would like to know if there are any updates in regards to this patch?

--=20
Best,

josegpt

Jose G Perez Taveras <josegpt27@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> [[PGP Signed Part:Undecided]]
>>
>> Jose G Perez Taveras <josegpt27@HIDDEN> writes:
>>
>>> Hello,
>>>
>>> Here is an update to playerctl to 2.4.1 and fixed dependencies.
>>> It uses `dbus-launch' to start a new daemon.
>>>
>>> This is my first time sending a patch, I would be very happy if you
>>> could point me out to anything I should know.
>>
>> Hi Jose,
>>
>> Thanks for the patch.
>>
>>> +    (propagated-inputs (list dbus))
>>
>> The addition of dbus as a propagated input was the only thing that stood
>> out to me.
>>
>> If playerctl does call out to dbus-launch, then patching the source to
>> refer to the specific /gnu/store/...-dbus/.../dbus-launch binary would
>> be the nicest approach, since that would avoid propagating dbus.
>>
>> Is it necessary to propagate the dbus package, and if so, what doesn't
>> work if you don't?
>>
>> Thanks,
>>
>> Chris
>>
>> [[End of PGP Signed Part]]
>
> Hello Christopher,
>
> I kept on testing the patch. As you mentioned, propagating dbus is not
> necessary for the package to work correctly.
>
> Thank you for the feedback.
>
> Best,
> josegpt
>
> Here's an updated version of the patch.
>
> ---
>  gnu/packages/music.scm | 11 ++++++-----
>  1 file changed, 6 insertions(+), 5 deletions(-)
>
> diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
> index 60cb176320..2d0d582e6c 100644
> --- a/gnu/packages/music.scm
> +++ b/gnu/packages/music.scm
> @@ -48,6 +48,7 @@
>  ;;; Copyright =C2=A9 2022 Remco van 't Veer <remco@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
> +;;; Copyright =C2=A9 2022 Jose G Perez Taveras <josegpt27@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -5562,7 +5563,7 @@ (define-public pragha
>  (define-public playerctl
>    (package
>      (name "playerctl")
> -    (version "2.2.1")
> +    (version "2.4.1")
>      (source (origin
>                (method git-fetch)
>                (uri (git-reference
> @@ -5571,14 +5572,14 @@ (define-public playerctl
>                (file-name (git-file-name name version))
>                (sha256
>                 (base32
> -                "17hi33sw3663qz5v54bqqil31sgkrlxkb2l5bgqk87pac6x2wnbz"))=
))
> +                "0ij065blj3h5v6iivvpmgh1095vicj1nc7hp1nhlhpqagd98l89s"))=
))
>      (build-system meson-build-system)
>      (arguments
> -     `(#:configure-flags '("-Dintrospection=3Dfalse" "-Dgtk-doc=3Dfalse"=
)))
> -    (inputs (list python-pygobject))
> +     `(#:configure-flags '("-Dgtk-doc=3Dfalse")))
>      (native-inputs
>       `(("glib:bin" ,glib "bin")
> -       ("pkg-config" ,pkg-config)))
> +       ("pkg-config" ,pkg-config)
> +       ("gobject-introspection" ,gobject-introspection)))
>      (synopsis "Control MPRIS-supporting media player applications")
>      (description
>       "Playerctl is a command-line utility and library for controlling me=
dia
>
> base-commit: d13ffd1580ec2253b6e05fb6300c3629aee893e3
> --=20
> 2.36.1




Information forwarded to guix-patches@HIDDEN:
bug#56111; Package guix-patches. Full text available.

Message received at 56111 <at> debbugs.gnu.org:


Received: (at 56111) by debbugs.gnu.org; 21 Jun 2022 14:21:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 10:21:22 2022
Received: from localhost ([127.0.0.1]:33036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3eks-0000b4-5C
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 10:21:22 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:35639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josegpt27@HIDDEN>) id 1o3ekq-0000aq-LH
 for 56111 <at> debbugs.gnu.org; Tue, 21 Jun 2022 10:21:20 -0400
Received: by mail-qk1-f170.google.com with SMTP id b142so10202106qkg.2
 for <56111 <at> debbugs.gnu.org>; Tue, 21 Jun 2022 07:21:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=tVwrQ4ZRsRHUJdgV0vStBP1V1A6damclLMX+mxRDcsY=;
 b=l2IYt5MRuyV8EAPhjkt+u9j0Y3Ul2U/S9iRjCWG1KiTZkkeS/G00bPwDh+ueQN4BqY
 5yDAoZ2F5B7OHJSumJAD2l5IkpW8HJKTaKSWajBD1R543bgdCOCqrar4XlNg9XXSah4n
 KvmUTVQhqYR75jMUnvQmV3G9BwPvJi0hORSS8qhW8crjK+JxG9x8ONevSRMErgJj+bbT
 zH69msM5vNu1JZ5hibCEi9wOiOzT0Bgwog4aHM7sV9vkC39ZDY6NEqTD8We0/m46ehD7
 L329BzRGSj34Ja3ovDXDCanEwIn2mXewMQ6BJ+22qStv4rYbE558BCQJQgw2QITmQ2FF
 8Wqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=tVwrQ4ZRsRHUJdgV0vStBP1V1A6damclLMX+mxRDcsY=;
 b=DrE3BO9to+LzhJ3vZPpi1l/JsqR+LWYBcWVX+TZXtnyh2vcHul41bfLfquo6MgQiJL
 7n9qyHu3rj7lVof4KyFRgKQ36GO47nv1Iaj9ELskpz92Jc3eMUq9jxj4BQGdlIFK/b/I
 26XG9GDL+bagIJL6B2qML5z5akU8BfNKsiYDaCFiIz+iBtYB6HmAkrYOlTtHyUcjnf81
 10F//NcOlXUV5/2SMv+xdGXgxjaQVw6XJI1mNP5wLpabKuvHgIPoNMOcPi8wKw9Ym+mz
 XQLvrbcW6RZZvoABQclr/scXnTAie2YYiwmRZ8XNU9bWQarxvqnxuJTTqMPnqewU6K6v
 czkA==
X-Gm-Message-State: AJIora9UaDvCeh/pd4XL0OrCxdSU+goFXe8hpppKEDUSNrs88dwMRnPm
 etQ/FFzqLSSUdWLBo3+jaDk=
X-Google-Smtp-Source: AGRyM1sGV21VoudGOeWcG+rn3/jWn5F0FGRmkkSqh0oirvqoeLBUYZGwy02MrAW6LBqTayQNX5uU/g==
X-Received: by 2002:a37:4044:0:b0:6a7:93bd:e20e with SMTP id
 n65-20020a374044000000b006a793bde20emr19936689qka.654.1655821274862; 
 Tue, 21 Jun 2022 07:21:14 -0700 (PDT)
Received: from goblin-slayer (pool-72-76-213-26.nwrknj.fios.verizon.net.
 [72.76.213.26]) by smtp.gmail.com with ESMTPSA id
 r2-20020ac85c82000000b00304e688189fsm13311350qta.37.2022.06.21.07.21.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 21 Jun 2022 07:21:14 -0700 (PDT)
References: <20220620170517.18322-1-josegpt27@HIDDEN>
 <87v8su1cd4.fsf@HIDDEN>
User-agent: mu4e 1.6.11; emacs 29.0.50
From: Jose G Perez Taveras <josegpt27@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#56111] [PATCH] gnu: playerctl: update to 2.4.1.
Date: Tue, 21 Jun 2022 10:02:35 -0400
In-reply-to: <87v8su1cd4.fsf@HIDDEN>
Message-ID: <87h74ep06p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 56111
Cc: 56111 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Christopher Baines <mail@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
>
> Jose G Perez Taveras <josegpt27@HIDDEN> writes:
>
>> Hello,
>>
>> Here is an update to playerctl to 2.4.1 and fixed dependencies.
>> It uses `dbus-launch' to start a new daemon.
>>
>> This is my first time sending a patch, I would be very happy if you
>> could point me out to anything I should know.
>
> Hi Jose,
>
> Thanks for the patch.
>
>> +    (propagated-inputs (list dbus))
>
> The addition of dbus as a propagated input was the only thing that stood
> out to me.
>
> If playerctl does call out to dbus-launch, then patching the source to
> refer to the specific /gnu/store/...-dbus/.../dbus-launch binary would
> be the nicest approach, since that would avoid propagating dbus.
>
> Is it necessary to propagate the dbus package, and if so, what doesn't
> work if you don't?
>
> Thanks,
>
> Chris
>
> [[End of PGP Signed Part]]

Hello Christopher,

I kept on testing the patch. As you mentioned, propagating dbus is not
necessary for the package to work correctly.

Thank you for the feedback.

Best,
josegpt

Here's an updated version of the patch.

---
 gnu/packages/music.scm | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 60cb176320..2d0d582e6c 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -48,6 +48,7 @@
 ;;; Copyright =C2=A9 2022 Remco van 't Veer <remco@HIDDEN>
 ;;; Copyright =C2=A9 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
+;;; Copyright =C2=A9 2022 Jose G Perez Taveras <josegpt27@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5562,7 +5563,7 @@ (define-public pragha
 (define-public playerctl
   (package
     (name "playerctl")
-    (version "2.2.1")
+    (version "2.4.1")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -5571,14 +5572,14 @@ (define-public playerctl
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "17hi33sw3663qz5v54bqqil31sgkrlxkb2l5bgqk87pac6x2wnbz"))))
+                "0ij065blj3h5v6iivvpmgh1095vicj1nc7hp1nhlhpqagd98l89s"))))
     (build-system meson-build-system)
     (arguments
-     `(#:configure-flags '("-Dintrospection=3Dfalse" "-Dgtk-doc=3Dfalse")))
-    (inputs (list python-pygobject))
+     `(#:configure-flags '("-Dgtk-doc=3Dfalse")))
     (native-inputs
      `(("glib:bin" ,glib "bin")
-       ("pkg-config" ,pkg-config)))
+       ("pkg-config" ,pkg-config)
+       ("gobject-introspection" ,gobject-introspection)))
     (synopsis "Control MPRIS-supporting media player applications")
     (description
      "Playerctl is a command-line utility and library for controlling media

base-commit: d13ffd1580ec2253b6e05fb6300c3629aee893e3
--=20
2.36.1




Information forwarded to guix-patches@HIDDEN:
bug#56111; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jun 2022 14:21:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 10:21:24 2022
Received: from localhost ([127.0.0.1]:33038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3eku-0000bK-Hq
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 10:21:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:47588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josegpt27@HIDDEN>) id 1o3ekp-0000av-3e
 for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 10:21:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46050)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <josegpt27@HIDDEN>)
 id 1o3eko-0008Dp-8K
 for guix-patches@HIDDEN; Tue, 21 Jun 2022 10:21:18 -0400
Received: from mail-qk1-x732.google.com ([2607:f8b0:4864:20::732]:34693)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <josegpt27@HIDDEN>)
 id 1o3ekm-0002YW-8M
 for guix-patches@HIDDEN; Tue, 21 Jun 2022 10:21:17 -0400
Received: by mail-qk1-x732.google.com with SMTP id n197so10206345qke.1
 for <guix-patches@HIDDEN>; Tue, 21 Jun 2022 07:21:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=tVwrQ4ZRsRHUJdgV0vStBP1V1A6damclLMX+mxRDcsY=;
 b=l2IYt5MRuyV8EAPhjkt+u9j0Y3Ul2U/S9iRjCWG1KiTZkkeS/G00bPwDh+ueQN4BqY
 5yDAoZ2F5B7OHJSumJAD2l5IkpW8HJKTaKSWajBD1R543bgdCOCqrar4XlNg9XXSah4n
 KvmUTVQhqYR75jMUnvQmV3G9BwPvJi0hORSS8qhW8crjK+JxG9x8ONevSRMErgJj+bbT
 zH69msM5vNu1JZ5hibCEi9wOiOzT0Bgwog4aHM7sV9vkC39ZDY6NEqTD8We0/m46ehD7
 L329BzRGSj34Ja3ovDXDCanEwIn2mXewMQ6BJ+22qStv4rYbE558BCQJQgw2QITmQ2FF
 8Wqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=tVwrQ4ZRsRHUJdgV0vStBP1V1A6damclLMX+mxRDcsY=;
 b=ITloUQtRDM232msjffKvfPVHsFVb1e3mxZRnIk2b1mDh2ltXywErGT44GCR7UGhutl
 xRRqzz4GWAoeV+qGfDZ4zLFwS243+WGgISR/DGI77CSOXBCv7Cjv31odH8ib82ANkB8X
 M7izwLJYLOAt0y5/He49JKJfWh/l6NnMlimn0rPb8ApQ22h4UGu6LE3x5FD9I18ILq0S
 OEj0Q5zOldHCEGiCAkgy4SKcaWrnOejEdSkH00HGnrJ/Gg/sLeuLqDrVE6ms6e+flbZR
 Mx2aJ4sTR5hao3Ma8xHCebHD6FZJ/p1S/tSvLs5utUnkHa14KQ/NFGGqVBz6ygQLyXNg
 yUig==
X-Gm-Message-State: AJIora8FHo2SzsJ+EgTbMtJRo/JRAA9CwB4X28Ht65vflEBhLKRUtK/K
 J3l8rEhZMkZ4FDe3HpEl8NnThCd4GNTuKQ==
X-Google-Smtp-Source: AGRyM1sGV21VoudGOeWcG+rn3/jWn5F0FGRmkkSqh0oirvqoeLBUYZGwy02MrAW6LBqTayQNX5uU/g==
X-Received: by 2002:a37:4044:0:b0:6a7:93bd:e20e with SMTP id
 n65-20020a374044000000b006a793bde20emr19936689qka.654.1655821274862; 
 Tue, 21 Jun 2022 07:21:14 -0700 (PDT)
Received: from goblin-slayer (pool-72-76-213-26.nwrknj.fios.verizon.net.
 [72.76.213.26]) by smtp.gmail.com with ESMTPSA id
 r2-20020ac85c82000000b00304e688189fsm13311350qta.37.2022.06.21.07.21.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 21 Jun 2022 07:21:14 -0700 (PDT)
References: <20220620170517.18322-1-josegpt27@HIDDEN>
 <87v8su1cd4.fsf@HIDDEN>
User-agent: mu4e 1.6.11; emacs 29.0.50
From: Jose G Perez Taveras <josegpt27@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#56111] [PATCH] gnu: playerctl: update to 2.4.1.
Date: Tue, 21 Jun 2022 10:02:35 -0400
In-reply-to: <87v8su1cd4.fsf@HIDDEN>
Message-ID: <87h74ep06p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::732;
 envelope-from=josegpt27@HIDDEN; helo=mail-qk1-x732.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
Cc: 56111 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Christopher Baines <mail@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
>
> Jose G Perez Taveras <josegpt27@HIDDEN> writes:
>
>> Hello,
>>
>> Here is an update to playerctl to 2.4.1 and fixed dependencies.
>> It uses `dbus-launch' to start a new daemon.
>>
>> This is my first time sending a patch, I would be very happy if you
>> could point me out to anything I should know.
>
> Hi Jose,
>
> Thanks for the patch.
>
>> +    (propagated-inputs (list dbus))
>
> The addition of dbus as a propagated input was the only thing that stood
> out to me.
>
> If playerctl does call out to dbus-launch, then patching the source to
> refer to the specific /gnu/store/...-dbus/.../dbus-launch binary would
> be the nicest approach, since that would avoid propagating dbus.
>
> Is it necessary to propagate the dbus package, and if so, what doesn't
> work if you don't?
>
> Thanks,
>
> Chris
>
> [[End of PGP Signed Part]]

Hello Christopher,

I kept on testing the patch. As you mentioned, propagating dbus is not
necessary for the package to work correctly.

Thank you for the feedback.

Best,
josegpt

Here's an updated version of the patch.

---
 gnu/packages/music.scm | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 60cb176320..2d0d582e6c 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -48,6 +48,7 @@
 ;;; Copyright =C2=A9 2022 Remco van 't Veer <remco@HIDDEN>
 ;;; Copyright =C2=A9 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
+;;; Copyright =C2=A9 2022 Jose G Perez Taveras <josegpt27@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5562,7 +5563,7 @@ (define-public pragha
 (define-public playerctl
   (package
     (name "playerctl")
-    (version "2.2.1")
+    (version "2.4.1")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -5571,14 +5572,14 @@ (define-public playerctl
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "17hi33sw3663qz5v54bqqil31sgkrlxkb2l5bgqk87pac6x2wnbz"))))
+                "0ij065blj3h5v6iivvpmgh1095vicj1nc7hp1nhlhpqagd98l89s"))))
     (build-system meson-build-system)
     (arguments
-     `(#:configure-flags '("-Dintrospection=3Dfalse" "-Dgtk-doc=3Dfalse")))
-    (inputs (list python-pygobject))
+     `(#:configure-flags '("-Dgtk-doc=3Dfalse")))
     (native-inputs
      `(("glib:bin" ,glib "bin")
-       ("pkg-config" ,pkg-config)))
+       ("pkg-config" ,pkg-config)
+       ("gobject-introspection" ,gobject-introspection)))
     (synopsis "Control MPRIS-supporting media player applications")
     (description
      "Playerctl is a command-line utility and library for controlling media

base-commit: d13ffd1580ec2253b6e05fb6300c3629aee893e3
--=20
2.36.1




Information forwarded to guix-patches@HIDDEN:
bug#56111; Package guix-patches. Full text available.

Message received at 56111 <at> debbugs.gnu.org:


Received: (at 56111) by debbugs.gnu.org; 21 Jun 2022 11:31:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 07:31:55 2022
Received: from localhost ([127.0.0.1]:59259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3c6t-0007bj-0k
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:31:55 -0400
Received: from mira.cbaines.net ([212.71.252.8]:41318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1o3c6r-0007Zl-1t
 for 56111 <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:31:53 -0400
Received: from localhost (unknown [IPv6:2a02:8010:68c1:0:54d1:d5d4:280e:f699])
 by mira.cbaines.net (Postfix) with ESMTPSA id 06FD027BBE9;
 Tue, 21 Jun 2022 12:31:52 +0100 (BST)
Received: from felis (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 2cfa5746;
 Tue, 21 Jun 2022 11:31:51 +0000 (UTC)
References: <20220620170517.18322-1-josegpt27@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.1
From: Christopher Baines <mail@HIDDEN>
To: Jose G Perez Taveras <josegpt27@HIDDEN>
Subject: Re: [bug#56111] [PATCH] gnu: playerctl: update to 2.4.1.
Date: Tue, 21 Jun 2022 12:29:19 +0100
In-reply-to: <20220620170517.18322-1-josegpt27@HIDDEN>
Message-ID: <87v8su1cd4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56111
Cc: 56111 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Jose G Perez Taveras <josegpt27@HIDDEN> writes:

> Hello,
>
> Here is an update to playerctl to 2.4.1 and fixed dependencies.
> It uses `dbus-launch' to start a new daemon.
>
> This is my first time sending a patch, I would be very happy if you
> could point me out to anything I should know.

Hi Jose,

Thanks for the patch.

> +    (propagated-inputs (list dbus))

The addition of dbus as a propagated input was the only thing that stood
out to me.

If playerctl does call out to dbus-launch, then patching the source to
refer to the specific /gnu/store/...-dbus/.../dbus-launch binary would
be the nicest approach, since that would avoid propagating dbus.

Is it necessary to propagate the dbus package, and if so, what doesn't
work if you don't?

Thanks,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmKxrCdfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9Xeo4xAAl744k19cl/7DYycLOQ5O5fPbGb5duDU7
LksXyKyFHQ8BtJpVOLd1nk0Bkfi56mHgMUdMl5ruhuzlAtvr+/zakiP1Bky5URvo
9+zdDI5XNyDd9Ty9d69x+0bv6HjvResVQ5ETG1wABPjgZOg84Mhcd5209fPhkXKK
je7loIfyMbF1wElcUi7JkhSkJYZaaG+zSL3e46G6yc1WTHbg0Qwt0WqliFBkM1rz
XEuzBCsLZxi8njlHp88F2QKLVvnyy2NQFpcIY6rSVpEwtPQ8AmOyBsZjhP4gabDz
A7SBzAUMiY6AX/ktuzwqdVkRe7ZvmC+iZg86vUwr0peqzteyjgYTNHF1qTnCI+SV
+UCRGsglS8dtR5zo4O9x50K92VVql9706/7ScCp89P5nsxiQDxCnZ/qsvTbFm3eH
bMBBCZmZeLXqbCmnXt/9QU5RsLZfBEjzLLriCLhgrss0ToKPBI0g9zesEE4ZozmV
d65uLM3Cq/arhVpE2+hDKspssfqFc9T7eWFQLpEqEujggeQpMi5GAOlQ4XxXlOgh
Egw4w3Sh092QxLW//kpnegA0FK6/DLwOjKATvpJi7WZhgtCxOEzfjE7gzEr3JdHv
Xh1ye+7DM78n+AWw5eeRXzFDyz0Qq7i1k/88qiKJCYg+/1JXlyK1eOtCNnAT/mzm
n61CtttXTN4=
=jVoT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#56111; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jun 2022 11:31:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 07:31:59 2022
Received: from localhost ([127.0.0.1]:59262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3c6x-0007f9-Cp
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:31:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:47830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1o3c6w-0007eT-In
 for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:31:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36548)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1o3c6s-0002EO-Om
 for guix-patches@HIDDEN; Tue, 21 Jun 2022 07:31:58 -0400
Received: from mira.cbaines.net ([212.71.252.8]:36390)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1o3c6r-0008At-5B
 for guix-patches@HIDDEN; Tue, 21 Jun 2022 07:31:54 -0400
Received: from localhost (unknown [IPv6:2a02:8010:68c1:0:54d1:d5d4:280e:f699])
 by mira.cbaines.net (Postfix) with ESMTPSA id 06FD027BBE9;
 Tue, 21 Jun 2022 12:31:52 +0100 (BST)
Received: from felis (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 2cfa5746;
 Tue, 21 Jun 2022 11:31:51 +0000 (UTC)
References: <20220620170517.18322-1-josegpt27@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.1
From: Christopher Baines <mail@HIDDEN>
To: Jose G Perez Taveras <josegpt27@HIDDEN>
Subject: Re: [bug#56111] [PATCH] gnu: playerctl: update to 2.4.1.
Date: Tue, 21 Jun 2022 12:29:19 +0100
In-reply-to: <20220620170517.18322-1-josegpt27@HIDDEN>
Message-ID: <87v8su1cd4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=212.71.252.8; envelope-from=mail@HIDDEN;
 helo=mira.cbaines.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 56111 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


Jose G Perez Taveras <josegpt27@HIDDEN> writes:

> Hello,
>
> Here is an update to playerctl to 2.4.1 and fixed dependencies.
> It uses `dbus-launch' to start a new daemon.
>
> This is my first time sending a patch, I would be very happy if you
> could point me out to anything I should know.

Hi Jose,

Thanks for the patch.

> +    (propagated-inputs (list dbus))

The addition of dbus as a propagated input was the only thing that stood
out to me.

If playerctl does call out to dbus-launch, then patching the source to
refer to the specific /gnu/store/...-dbus/.../dbus-launch binary would
be the nicest approach, since that would avoid propagating dbus.

Is it necessary to propagate the dbus package, and if so, what doesn't
work if you don't?

Thanks,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmKxrCdfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9Xeo4xAAl744k19cl/7DYycLOQ5O5fPbGb5duDU7
LksXyKyFHQ8BtJpVOLd1nk0Bkfi56mHgMUdMl5ruhuzlAtvr+/zakiP1Bky5URvo
9+zdDI5XNyDd9Ty9d69x+0bv6HjvResVQ5ETG1wABPjgZOg84Mhcd5209fPhkXKK
je7loIfyMbF1wElcUi7JkhSkJYZaaG+zSL3e46G6yc1WTHbg0Qwt0WqliFBkM1rz
XEuzBCsLZxi8njlHp88F2QKLVvnyy2NQFpcIY6rSVpEwtPQ8AmOyBsZjhP4gabDz
A7SBzAUMiY6AX/ktuzwqdVkRe7ZvmC+iZg86vUwr0peqzteyjgYTNHF1qTnCI+SV
+UCRGsglS8dtR5zo4O9x50K92VVql9706/7ScCp89P5nsxiQDxCnZ/qsvTbFm3eH
bMBBCZmZeLXqbCmnXt/9QU5RsLZfBEjzLLriCLhgrss0ToKPBI0g9zesEE4ZozmV
d65uLM3Cq/arhVpE2+hDKspssfqFc9T7eWFQLpEqEujggeQpMi5GAOlQ4XxXlOgh
Egw4w3Sh092QxLW//kpnegA0FK6/DLwOjKATvpJi7WZhgtCxOEzfjE7gzEr3JdHv
Xh1ye+7DM78n+AWw5eeRXzFDyz0Qq7i1k/88qiKJCYg+/1JXlyK1eOtCNnAT/mzm
n61CtttXTN4=
=jVoT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#56111; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jun 2022 17:11:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 20 13:11:19 2022
Received: from localhost ([127.0.0.1]:58386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3KvY-0000zn-9n
	for submit <at> debbugs.gnu.org; Mon, 20 Jun 2022 13:11:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:40054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josegpt27@HIDDEN>) id 1o3Kr5-0000sc-H0
 for submit <at> debbugs.gnu.org; Mon, 20 Jun 2022 13:06:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33130)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <josegpt27@HIDDEN>)
 id 1o3Kr5-0002Kz-7W
 for guix-patches@HIDDEN; Mon, 20 Jun 2022 13:06:27 -0400
Received: from mail-qk1-x729.google.com ([2607:f8b0:4864:20::729]:43805)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <josegpt27@HIDDEN>)
 id 1o3Kr3-00032V-Lj
 for guix-patches@HIDDEN; Mon, 20 Jun 2022 13:06:26 -0400
Received: by mail-qk1-x729.google.com with SMTP id p63so8227039qkd.10
 for <guix-patches@HIDDEN>; Mon, 20 Jun 2022 10:06:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=hqiu0mlPy9mPjDz3h1IUkNj1NVHAz5jZEI27gvJcQTg=;
 b=XSsNnTXk3v0XMB9DtaWZBkryZtYxW0/aUY6A0tp3ORAQxtzkpxUR36rQEdx5vl7jCd
 0hYcQpcDrZkl0sl5NVWNEHVUCgf/aODA3r1sJtLOne8O1foVCxt8mwy4NzE6hm0mOFNV
 /BHRfJbdmFCxHBRUIJlBD67SmUWUvlk+UvT59Phed/yHh8n5hV2MqPUz8h4eyFWRfWra
 WcjLg2wdlaAw6yy4BWdTsjZV2IiIN5zUXKpddA28v5vND/DdFVCiiK+CWU1mpyeaFm0T
 s3yPTs9YFVvrM+b4qL41YerQUJWkuTEF8s98Sd2WQn/DtFdF8TQoZ3uRzzX2sIrHY5ek
 7GmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=hqiu0mlPy9mPjDz3h1IUkNj1NVHAz5jZEI27gvJcQTg=;
 b=FEKkBqB4gvVI2W/nlAj1zQxvYGHNoH7rUuFJOmR9uBE1kbCYwaH0kQypmhZb5nwUf7
 ZkzNC5uFXMmuUum20YuyfT+W8W9ZfvrBt5pYjONZMkenrIIUJceq/MPom+6cn0n5P1BT
 +je7UAimOOlK3QAnCwuVRB2f2muUSBCyxl+j+JkzHPgxhaCAlYWAnB46L5GrvowPox8v
 GFXIuLi0CWQVksq71BDAfu8og6ogCCjvtMrUDr77udUi9N5tP7tuFfwtMu7h1lYZbbit
 ASxSjyw7LAjjIuqvCdzg9uJOwpOf29Q14SNckjvfCNeZ2pPCUFSofCbLyHXU9UhqDIxJ
 tqbw==
X-Gm-Message-State: AJIora+PQ2a4JSdSgezeRJfVSDsbmCsasiDg6W7ZCDQHFH8yqMRY9285
 H1syeFhefirrZodBqMS9AniuTZUHgEjzKA==
X-Google-Smtp-Source: AGRyM1uUGX8VMGzGqtEFbhCIUKyo3kKocplrXIekvezvd61f0sK/oeNBAiXB0wBfZQQW+1SlqfOdFg==
X-Received: by 2002:a05:620a:1aaa:b0:6a6:d022:7e08 with SMTP id
 bl42-20020a05620a1aaa00b006a6d0227e08mr17139589qkb.143.1655744784236; 
 Mon, 20 Jun 2022 10:06:24 -0700 (PDT)
Received: from goblin-slayer.lan (pool-72-76-213-26.nwrknj.fios.verizon.net.
 [72.76.213.26]) by smtp.gmail.com with ESMTPSA id
 v3-20020a05620a0f0300b006a7502d0070sm12816032qkl.21.2022.06.20.10.06.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 20 Jun 2022 10:06:23 -0700 (PDT)
From: Jose G Perez Taveras <josegpt27@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: playerctl: update to 2.4.1.
Date: Mon, 20 Jun 2022 13:05:18 -0400
Message-Id: <20220620170517.18322-1-josegpt27@HIDDEN>
X-Mailer: git-send-email 2.36.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::729;
 envelope-from=josegpt27@HIDDEN; helo=mail-qk1-x729.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 20 Jun 2022 13:11:03 -0400
Cc: Jose G Perez Taveras <josegpt27@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Hello,

Here is an update to playerctl to 2.4.1 and fixed dependencies.
It uses `dbus-launch' to start a new daemon.

This is my first time sending a patch, I would be very happy if you
could point me out to anything I should know.

Thank you,
josegpt

---
 gnu/packages/music.scm | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 60cb176320..86a1d64ff9 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -48,6 +48,7 @@
 ;;; Copyright © 2022 Remco van 't Veer <remco@HIDDEN>
 ;;; Copyright © 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2022 Wamm K. D. <jaft.r@HIDDEN>
+;;; Copyright © 2022 Jose G Perez Taveras <josegpt27@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5562,7 +5563,7 @@ (define-public pragha
 (define-public playerctl
   (package
     (name "playerctl")
-    (version "2.2.1")
+    (version "2.4.1")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -5571,14 +5572,15 @@ (define-public playerctl
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "17hi33sw3663qz5v54bqqil31sgkrlxkb2l5bgqk87pac6x2wnbz"))))
+                "0ij065blj3h5v6iivvpmgh1095vicj1nc7hp1nhlhpqagd98l89s"))))
     (build-system meson-build-system)
     (arguments
-     `(#:configure-flags '("-Dintrospection=false" "-Dgtk-doc=false")))
-    (inputs (list python-pygobject))
+     `(#:configure-flags '("-Dgtk-doc=false")))
     (native-inputs
      `(("glib:bin" ,glib "bin")
-       ("pkg-config" ,pkg-config)))
+       ("pkg-config" ,pkg-config)
+       ("gobject-introspection" ,gobject-introspection)))
+    (propagated-inputs (list dbus))
     (synopsis "Control MPRIS-supporting media player applications")
     (description
      "Playerctl is a command-line utility and library for controlling media
-- 
2.36.1





Acknowledgement sent to Jose G Perez Taveras <josegpt27@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#56111; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Jun 2022 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.